From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/quazip/
Date: Wed, 13 Sep 2023 04:29:12 +0000 (UTC) [thread overview]
Message-ID: <1694578954.f30f6e77558d6eb749a5d14a1ada6f34e77d3b8c.sam@gentoo> (raw)
commit: f30f6e77558d6eb749a5d14a1ada6f34e77d3b8c
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Sep 13 04:22:34 2023 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Sep 13 04:22:34 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f30f6e77
dev-libs/quazip: fix bzip2 dep
bzip2 is linked against, so no app-alternatives.
Signed-off-by: Sam James <sam <AT> gentoo.org>
dev-libs/quazip/quazip-1.4-r1.ebuild | 89 ++++++++++++++++++++++++++++++++++++
1 file changed, 89 insertions(+)
diff --git a/dev-libs/quazip/quazip-1.4-r1.ebuild b/dev-libs/quazip/quazip-1.4-r1.ebuild
new file mode 100644
index 000000000000..fc7a353e473e
--- /dev/null
+++ b/dev-libs/quazip/quazip-1.4-r1.ebuild
@@ -0,0 +1,89 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake multibuild
+
+DESCRIPTION="Simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package"
+HOMEPAGE="https://stachenov.github.io/quazip/"
+SRC_URI="https://github.com/stachenov/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="LGPL-2.1-with-linking-exception"
+# SONAME of libquazip1-qt5.so, check QUAZIP_LIB_SOVERSION in CMakeLists.txt
+SLOT="0/1.4"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~x86 ~amd64-linux ~x86-linux"
+IUSE="bzip2 +qt5 qt6 test"
+REQUIRED_USE="|| ( qt5 qt6 )"
+
+RESTRICT="!test? ( test )"
+
+# bzip2 is linked against, so no app-alternatives
+COMMON_DEPEND="
+ bzip2? ( app-arch/bzip2:= )
+ qt5? ( dev-qt/qtcore:5 )
+ qt6? (
+ dev-qt/qtbase:6
+ dev-qt/qt5compat:6
+ )
+ sys-libs/zlib[minizip]
+"
+DEPEND="${COMMON_DEPEND}
+ test? (
+ qt5? (
+ dev-qt/qtnetwork:5
+ dev-qt/qttest:5
+ )
+ qt6? (
+ dev-qt/qtbase:6[network]
+ )
+ )
+"
+RDEPEND="${COMMON_DEPEND}"
+
+PATCHES=(
+ # Use CTest module provided BUILD_TESTING
+ "${FILESDIR}/${P}-cmake.patch"
+)
+
+pkg_setup() {
+ MULTIBUILD_VARIANTS=( $(usev qt5) $(usev qt6) )
+}
+
+src_configure() {
+ my_src_configure() {
+ local mycmakeargs=(
+ -DBUILD_TESTING=$(usex test)
+ -DQUAZIP_BZIP2=$(usex bzip2)
+ )
+ if [[ ${MULTIBUILD_VARIANT} = qt5 ]]; then
+ mycmakeargs+=(
+ -DQUAZIP_QT_MAJOR_VERSION=5
+ )
+ elif [[ ${MULTIBUILD_VARIANT} = qt6 ]]; then
+ mycmakeargs+=(
+ -DQUAZIP_QT_MAJOR_VERSION=6
+ )
+ fi
+ cmake_src_configure
+ }
+
+ multibuild_foreach_variant my_src_configure
+}
+
+src_compile() {
+ my_src_compile() {
+ cmake_src_compile
+ use test && cmake_build qztest
+ }
+
+ multibuild_foreach_variant my_src_compile
+}
+
+src_test() {
+ multibuild_foreach_variant cmake_src_test
+}
+
+src_install() {
+ multibuild_foreach_variant cmake_src_install
+}
next reply other threads:[~2023-09-13 4:29 UTC|newest]
Thread overview: 64+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-09-13 4:29 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-12-18 9:01 [gentoo-commits] repo/gentoo:master commit in: dev-libs/quazip/ Arthur Zamarin
2023-12-17 0:05 Sam James
2023-12-16 19:16 Arthur Zamarin
2023-12-04 12:27 Michał Górny
2023-12-03 23:15 Sam James
2023-12-03 23:15 Sam James
2023-12-03 18:28 Arthur Zamarin
2023-05-22 6:33 Andrew Ammerlaan
2023-05-22 6:33 Andrew Ammerlaan
2022-12-02 0:46 Sam James
2022-12-02 0:46 Sam James
2022-12-01 22:28 Jakov Smolić
2022-12-01 22:24 Jakov Smolić
2022-09-20 10:26 Andrew Ammerlaan
2022-09-09 16:09 Andrew Ammerlaan
2022-04-20 22:09 Sam James
2022-01-25 15:47 Sam James
2022-01-25 15:47 Sam James
2022-01-25 13:36 Jakov Smolić
2022-01-25 13:36 Jakov Smolić
2021-10-10 20:44 Marek Szuba
2021-04-07 22:45 Sam James
2021-04-05 19:01 Thomas Deutschmann
2021-04-05 16:53 Sam James
2021-04-03 23:07 Sam James
2020-12-03 13:37 Sam James
2020-09-19 20:40 Andreas Sturmlechner
2020-09-18 7:54 Agostino Sarubbo
2020-08-30 1:32 Thomas Deutschmann
2020-08-22 5:43 Agostino Sarubbo
2020-05-09 8:47 Mart Raudsepp
2020-01-18 23:29 Andreas Sturmlechner
2019-07-02 14:07 Andreas Sturmlechner
2019-07-02 8:28 Sergei Trofimovich
2019-07-02 8:24 Sergei Trofimovich
2019-06-28 15:21 Agostino Sarubbo
2019-06-28 11:37 Agostino Sarubbo
2018-08-11 19:32 Andreas Sturmlechner
2018-07-29 10:35 Sergei Trofimovich
2018-07-20 22:40 Thomas Deutschmann
2018-07-17 13:55 Agostino Sarubbo
2018-06-20 13:03 Andreas Sturmlechner
2018-02-27 16:14 Andreas Sturmlechner
2018-02-27 16:14 Andreas Sturmlechner
2018-01-23 19:07 Markus Meier
2018-01-08 23:40 Mikle Kolyada
2017-12-27 23:26 Andreas Sturmlechner
2017-10-30 23:33 Andreas Sturmlechner
2017-04-15 22:27 Manuel Rüger
2017-02-21 20:36 Markus Meier
2017-01-29 23:18 Jeroen Roovers
2017-01-16 19:56 Tobias Klausmann
2017-01-09 12:26 Aaron Bauman
2016-12-22 15:27 Michael Palimaka
2016-12-22 15:27 Michael Palimaka
2016-10-23 17:47 David Seifert
2015-11-12 11:21 Justin Lecher
2015-11-12 10:51 Agostino Sarubbo
2015-10-17 10:58 Markus Meier
2015-09-28 16:27 Tobias Klausmann
2015-09-28 2:58 Jeroen Roovers
2015-09-25 14:13 Agostino Sarubbo
2015-09-24 10:36 Agostino Sarubbo
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1694578954.f30f6e77558d6eb749a5d14a1ada6f34e77d3b8c.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox